Update Profile

​

Update an existing profile. Settings provided in body parameters will only be updated in the existing profile.

Path Parameters

  • Profile id of the profile which need to be updated.

Body

application/json
  • Profile id of the profile which needs to be deleted.

  • Create an animated GIF from a video.

    Properties: 5
  • This flag allows Gumlet to transcode and deliver audio-only in the specified format. In this case,This flag allows Gumlet to transcode and deliver audio-only in the specified format. In this case, video transformation and thumbnails/animated GIFs would not be created. Default: false

  • This transformation can be used to crop the video by defining a rectangular area within the dimensions of the output video.

    Properties: 4
  • Enable DRM encryption for transcoded videos. Gumlet supports Widevine and FairPlay DRMs.

  • Transcode and deliver the asset in the requested format. The options can be one of ABR (HLS + DASH) and MP4.

  • Whether Gumlet should generate chapters.

  • Whether Gumlet should generate descriptions.

  • Gumlet allows you to generate subtitles from the audio stream (use ISO 639-1 Language Codes). You can remove this object if you don't want to generate AI subtitles.

    Properties: 2
  • Resize video with the given height. Can be an absolute value in pixels or a percentage value with the % suffix. Specified values greater than the original asset height will be ignored. Only applicable when specified format is MP4.

  • Image overlay can be used to brand a video or add a visual label in the form of an image.

    Properties: 7
  • Creates mp4 version for download purpose in case of MPEG-DASH or HLS delivery format. Default: false

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/video/profiles/{profile_id}
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const videoProfile = await client.videoProfiles.update('profileId', {
  profile_id: '',
  format: 'ABR',
  vc: ['libx264'],
});

console.log(videoProfile);
{
  "profile_id": "61921fb10822a81d955d1730",
  "name": "Gumlet-Profile-2",
  "transformations": {
    "resolution": "240p,360p",
    "format": "hls",
    "audio_codec": [
      "aac"
    ],
    "video_codec": [
      "libx264"
    ],
    "thumbnail": [
      "auto"
    ],
    "thumbnail_format": "png",
    "mp4_access": false,
    "per_title_encoding": true
  },
  "created_at": 1636966321742,
  "updated_at": 1636975593082
}